Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004593OCamlCamlp4public2008-08-04 17:162010-04-29 14:31
ReporterChristophe Troestler 
Assigned Toertai 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.2 
Target VersionFixed in Version3.11+dev 
Summary0004593: !Toploop.parse_toplevel_phrase hangs after loading camlp4
Description$ ocaml
        Objective Caml version 3.10.2

# #directory "+camlp4";;
# #load "camlp4o.cma";;
        Camlp4 Parsing version 3.10.2

# !Toploop.parse_toplevel_phrase (Lexing.from_string"let y = 1;;");;
  (* the process hangs *)

If I put the above directives in a file, say
--- ev.ml ----------------------------------
#directory "+camlp4";;
#load "camlp4o.cma";;
!Toploop.parse_toplevel_phrase (Lexing.from_string"let y = 1;;");;
--------------------------------------------
Then

$ ocaml
        Objective Caml version 3.10.2

# #use "ev.ml";;
        Camlp4 Parsing version 3.10.2

- : Parsetree.toplevel_phrase = <abstr>

(* the toplevel terminates *)

This may be linked to bug 0004495 but I have not checked. In any case, this makes it really difficult to use syntax extensions in the toplevel (especially the ones that need some identifiers to be declared).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004675)
ertai (developer)
2008-10-13 15:43

Thanks for the report, this is now fixed in the CVS HEAD and release311 branch.

- Issue History
Date Modified Username Field Change
2008-08-04 17:16 Christophe Troestler New Issue
2008-08-05 18:29 xleroy Status new => assigned
2008-08-05 18:29 xleroy Assigned To => ertai
2008-10-13 15:43 ertai Note Added: 0004675
2008-10-13 15:43 ertai Status assigned => resolved
2008-10-13 15:43 ertai Resolution open => fixed
2008-10-13 15:43 ertai Fixed in Version => 3.11+dev
2010-04-29 14:31 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker